GHNTree.LeafType (GWT Maven Archetype 1.5.0-3.1.1 API)
Date: 2014-06-03

org.gcube.messaging.accounting.nodeaccountingportlet.client

## Enum GHNTree.LeafType

- java.lang.Object
- - java.lang.Enum<GHNTree.LeafType>
  - - org.gcube.messaging.accounting.nodeaccountingportlet.client.GHNTree.LeafType

- All Implemented Interfaces:
    Serializable, Comparable<GHNTree.LeafType>
  Enclosing class:
    GHNTree

      public static enum GHNTree.LeafType
      extends Enum<GHNTree.LeafType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOMAIN`
    `GHN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static GHNTree.LeafType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GHNTree.LeafType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DOMAIN

          public static final GHNTree.LeafType DOMAIN

    - #### GHN

          public static final GHNTree.LeafType GHN

  - ### Method Detail

    - #### values

          public static GHNTree.LeafType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GHNTree.LeafType c : GHNTree.LeafType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GHNTree.LeafType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<GHNTree.LeafType>`

Copyright © 2014. All Rights Reserved.